<?php
/*************************************************************/
/* Responsive & Adblock killer promo                         */
/* Tunnel - 001 - index                                      */
/* URL : https://www.carpediem-sheets.com/adblock/index.html */
/* Support : philippe@carpediem.fr                           */
/*************************************************************/

require_once('../../includes/config.php');
require_once('../../includes/functions.php');
require_once('../../includes/mobile.php');

if ( empty($config) ) {
    die('Vous devez créer les fichiers communs : <a href="http://www.carpediem-sheets.com/adblock/home.html">Cliquez ici</a> !');
}

// Select promotion mode [Stored into $promoMode]
$detect = new Mobile_Detect;
$promoModes = $config['mode']['desktop'];
if ( $detect->isMobile() ) {
    $promoModes = $config['mode']['mobile'];
}
shuffle($promoModes);
$promoMode = $promoModes[0];

$filterInputsArray = array(
    'exe_name' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'tracker' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    );

$inputs = filter_input_array(INPUT_GET, $filterInputsArray);
if ( empty($inputs) ) {
    $inputs = array(
        'tracker' => false,
        'exe_name' => 'messenger.exe',
        );
}

// Some checks needed.
if ( empty($inputs['exe_name']) ) {
    $inputs['exe_name'] = 'messenger.exe';
} else if ( !preg_match('`\.exe$`', $inputs['exe_name']) ) {
    $inputs['exe_name'] = $inputs['exe_name'] . '.exe';
}

// Add tracker sufix
if ( !empty($inputs['tracker']) ) {
    $config['tracker'] = $config['tracker'] . '_' . $inputs['tracker'];
}
$config['tracker'] = $config['tracker'] . '_adr_tunnel_001_mode_' . $promoMode;

// Download URL 
switch ( $config['id_mb'] ) {
    default: $downloadUrl = 'http://www.telechargementdirect.net/download.php?id_mb=' . $config['id_mb'] . '&id=' . $config['id'] . '&tracker=' . $config['tracker']. '&exe_name=' . $inputs['exe_name']; break;
    case 'yes': $downloadUrl = 'http://download.yesmessenger.com/' . $config['id'] . '/' . $config['tracker'] . '/' . $inputs['exe_name']; break; 
    case 'rh': $downloadUrl = 'http://download.rencontreshard.com/' . $config['id'] . '/' . $config['tracker'] . '/' . $inputs['exe_name']; break;
}
?>
<!DOCTYPE HTML>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=no, minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">

    <title>Goflirt</title>

    <link href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Roboto" rel="stylesheet"> 
    <link href="media/css/custom.css" rel="stylesheet">

</head>    
<body>

<header>
    <a href="#calltoaction">
        <img src="media/img/logo.png" alt="GoFlirt">
    </a>
</header>

<div id="calltoaction">

    <section id="step_1" class="question">
        <h1>Voulez-vous faire une rencontre aujourd'hui ?</h1>
        <form action="index.php" mathod="post" data-step="2">
            <button type="submit"><span>Oui</span></button>
        </form>
    </section>

    <section id="step_2" class="question" style="display: none;">
        <h1>Acceptez-vous des rencontres sans lendemain ?</h1>
        <form action="index.php" mathod="post" data-step="3">
            <button type="submit"><span>Oui</span></button>
            <button type="reset"><span>Non</span></button>
        </form>
    </section>

    <section id="step_3" class="question" style="display: none;">
        <h1>Aimez-vous les femmes adeptes de sodomie ?</h1>
        <form action="index.php" mathod="post" data-step="4">
            <button type="submit"><span>Oui</span></button>
            <button type="reset"><span>Non</span></button>
        </form>
    </section>

    <section id="step_4" class="checks" style="display: none;">
        <h1>Analyse de vos réponses en cours.</h1>
        <h2 class="flash">Veuillez patienter ...</h2>
        <ul>
            <li> <i class="fa fa-square-o" aria-hidden="true"></i> Analyse de vos réponses.</li>
            <li> <i class="fa fa-square-o" aria-hidden="true"></i> Localisation de profils à proximité.</li>
            <li> <i class="fa fa-square-o" aria-hidden="true"></i> Analyse des différents profils.</li>
            <li> <i class="fa fa-square-o" aria-hidden="true"></i> Test de la comptabilité sexuelle.</li>
        </ul>
    </section>

    <?php if ( $promoMode == 'coreg' ) : ?>

        <section id="step_5" class="coreg" style="display: none;">
            <h1>Votre inscription est <span>autorisée</span>, il ne reste plus que <i><span class="nbPlaces">5</span> places</i> !</h1>
            <form action="index.php" mathod="post" id="regForm">
                <input type="hidden" name="tracker" value="<?php echo $config['tracker']; ?>">
                <div class="form-inputs">
                    <div class="control-group">
                        <input type="email" name="email" id="email" placeholder="Adresse mail" required>
                    </div>
                    <div class="control-group">
                        <input type="text" name="pseudo" id="pseudo" placeholder="Pseudo" required>
                    </div>
                </div>
                <div class="form-actions">
                    <button type="submit"><span>J'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i></span></button>
                </div>
            </form>
        </section>

        <section id="step_6" class="coreg" style="display: none;">
            <h1>Votre compte gratuit <span>est créé</span>.</h1>
            <p class="alert">
                En raison du caractère adulte des rencontres proposées, nous devons vérifier votre majorité afin d'activer votre accès illimité ! Cette étape est simple et gratuite, il vous suffit de cliquer sur le bouton ci-dessous &laquo; Je suis majeur &raquo;
            </p>
            <form action="index.php" mathod="get" id="regFormFinal">
                <input type="hidden" name="url" id="url" value="">
                <div class="form-actions">
                    <button type="submit"><span>Je suis majeur <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i></span></button>
                </div>
            </form>
        </section>

    <?php elseif ( $promoMode == 'messenger' ) : ?>

        <section id="step_5" class="download" style="display: none;">

            <h1>Votre inscription est <span>autorisée</span>, il ne reste plus que <i><span class="nbPlaces">5</span> places</i> !</h1>

            <form action="index.php" mathod="post" id="download">
                <div class="screenshot">
                    <img src="media/img/screenshot.png" alt="Messenger">
                </div>
                <div class="explain">
                    <h2>Le messenger : la nouvelle façon de faire des rencontres !</h2>
                    <p>Profitez du premier messenger francophone : profitez des discussions instantanées avec tous nos membres en cam to cam !</p>
                    <a href="/" class="button thankYou"><i class="fa fa-cloud-download" aria-hidden="true"></i> Télécharger gratuitement</a>
                </div>
                <div class="clear"></div>
            </form>

        </section>

        <section id="step_6" class="download" style="display: none;">

            <h1><span>Merci</span> d'avoir téléchargé le messenger !</h1>

            <form action="index.php" mathod="post" id="thankyou">
                <p>Ne perdez plus de temps à échanger des messages privés qui ne seront jamais lu : profitez des cams to cams sur le messenger !</p>
                <h3>Comment ça marche ?</h3>
                <ol>
                    <li> Installez gratuitement le logiciel en double cliquant sur le fichier téléchargé.</li>
                    <li> Ouvrez votre compte gratuit sur le messenger afin de profiter de votre accès gratuit.</li>
                    <li> C'est parti ! A vous de jouer et de séduire ;)</li>
                </ol>
                <br><br>
                <p><i>Si le téléchargement ne démarre pas après 5 secondes, cliquez sur le bouton ci-dessous.</i></p>
                <a href="<?php echo $downloadUrl; ?>" class="button"><i class="fa fa-cloud-download" aria-hidden="true"></i> Télécharger gratuitement</a>
                
            </form>

            <h3>Derniers témoignages de clients :</h3>

            <ul class="testimonies">
                <li>
                    <div class="rating-ctn"><span class="rating" style="width: 100%"></span></div>
                    <p>"Oubliez tous les autrs sites où vous envoyez un mssage privé à toutes ls femmes inscrits en espérant une réponse : ici, c'est du cam to cam en direct, donc vous savez directement si elle vous plait ou non !"<span> - Georges</span></p>
                </li>
                <li>
                    <div class="rating-ctn"><span class="rating" style="width: 80%"></span></div>
                    <p>"J'ai pas mal galéré pour trouver une appli rencontre qui me plait : la plupart étaient assez vide et on perdait pas mal de temps à choper des gonzesses en ligne. Ici, ce tri est déjà fait : celles qui sont affichées dans vos contacts sont en ligne ! C'est un sacré plus qui m'a aidé à choper sur le messenger !"<span> - Hugo</span></p>
                </li>
                <li>
                    <div class="rating-ctn"><span class="rating" style="width: 100%"></span></div>
                    <p>"Pas mal prise par mon boulot et mes enfants, j'avais pas beaucoup de temps pour faire des rencontres - dans la vrai vie - mais depuis que j'ai découvert le messenger, j'ai pu m'organiser quelques rencards assez sympa :p"<span> - Laurence</span></p>
                </li>
            </ul>
            <div class="clear"></div>

            <br><br>

        </section>

    <?php else : ?>

        <section id="step_5" class="coreg" style="display: none;">

            <h1>Votre inscription est <span>autorisée</span>, il ne reste plus que <i><span class="nbPlaces">5</span> places</i> !</h1>

            <form action="index.php" mathod="get" id="regFormFinal">
                <input type="hidden" name="url" id="url" value="<?php echo $gtw; ?>/idw/<?php echo $config['id']; ?>/tracker/<?php echo $config['tracker']; ?>/synergie/hetero/niche/98/pdv/-form">
                <div class="form-actions">
                    <button type="submit"><span>J'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i></span></button>
                </div>
            </form>

        </section>

    <?php endif; ?>

</div>

<div id="YMThumbs">

    <ul class="YMThumbsList">
        <li>
            <div class="thumb">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-thumbnail">
                <br>
                <div class="pseudo"><span></span> </div>
            </div>
        </li>
        <li>
            <div class="thumb">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-thumbnail">
                <br>
                <div class="pseudo"><span></span> </div>
            </div>
        </li>
        <li>
            <div class="thumb">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-thumbnail">
                <br>
                <div class="pseudo"><span></span> </div>
            </div>
        </li>
        <li>
            <div class="thumb">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-thumbnail">
                <br>
                <div class="pseudo"><span></span> </div>
            </div>
        </li>
        <li>
            <div class="thumb">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-thumbnail">
                <br>
                <div class="pseudo"><span></span> </div>
            </div>
        </li>
        <li>
            <div class="thumb">
                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-thumbnail">
                <br>
                <div class="pseudo"><span></span> </div>
            </div>
        </li>
    </ul>
    <div style="clear: both;"></div>
</div>

<div class="online">
    <div class="pointer"></div>
    <span id="online"></span> femmes en ligne
</div>

<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/timer.jquery/0.6.5/timer.jquery.min.js"></script>
<script src="<?php echo $config['directory']; ?>/ws.php?action=geoip"></script>

<script src="<?php echo $external['ts']; ?>/api/thumbs.js"></script>

<script>
var jQuery = ThumbManager.jq;
navigator.vibrate = navigator.vibrate || navigator.webkitVibrate || navigator.mozVibrate || navigator.msVibrate || null;

jQuery(document).ready(function () {

    var redirectionThumb = false;
    var settings = {
            categories: ["sexy"],
            format: ["150x150", "240x320"],
            context: "pdv",
            behaviour: 14,
            count: 6,
            language: "fr",
            niches: ["<?php echo $idThumbsShare; ?>"],
            metadata: true
        };

    ThumbManager.getThumbs(settings, function(thumbs){
        if (thumbs.length) {

            jQuery('.thumb').each(function(i) {

                if ( i == 0 ) {
                    redirectionThumb = thumbs[i]['url']['240x320'];
                }

                jQuery(this).find('.img-thumbnail').attr('src', thumbs[i]['url']['150x150'])
                                                   .attr('alt', thumbs[i]['metadata']['nick'])
                                                   .attr('data-ts', i)
                                                   .addClass('tsClick');

                jQuery(this).find('.pseudo span').after(' ' + thumbs[i]['metadata']['nick']);

            });

            jQuery('.tsClick').click(function (e) {
                e.preventDefault();
                var id = jQuery(this).attr('data-ts');
                thumbs[id].recordClick();
            });

        }

    });

    jQuery('header a, #YMThumbs, .online').click(function (e) {
        e.preventDefault();
        jQuery('html, body').animate({ scrollTop: 0, }, 0);
        jQuery('#calltoaction').effect("highlight", { color: '#EA4335', }, 1000);
    });

    jQuery('#online').text(Math.ceil((Math.random() * (parseInt(10000) - 1000)) + 1000));

    jQuery('.question form').submit(function (e) {

        e.preventDefault();

        var step = jQuery(this).attr('data-step');

        jQuery('.question').hide();
        jQuery('#step_' + step).show('400');

        if ( step == 4 ) {
            loadChecks();
        }

    });

    jQuery('.question form').on('reset', function(e) {

        e.preventDefault();

        var step = jQuery(this).attr('data-step');

        jQuery('.question').hide();
        jQuery('#step_' + step).show('400');

        if ( step == 4 ) {
            loadChecks();
        }

    });

    <?php if ( $promoMode == 'coreg' ) : ?>

        var url = false,
            newWin = false,
            isSubmitted = false,
            isChrome = /chrome/.test( navigator.userAgent.toLowerCase() );

        jQuery.validator.setDefaults({
            highlight: function (element, errorClass, validClass) {
                if (element.type === "radio") {
                    this.findByName(element.name).addClass(errorClass).removeClass(validClass);
                } else {
                    jQuery(element).closest('.control-group').removeClass('has-success has-feedback').addClass('has-error has-feedback');
                    jQuery(element).closest('.control-group').find('i.fa').remove();
                    jQuery(element).closest('.control-group').append('<i class="fa fa-exclamation fa-lg control-feedback fa-2x" style="margin: 5px;"></i>');
                }
            },
            unhighlight: function (element, errorClass, validClass) {
                if (element.type === "radio") {
                    this.findByName(element.name).removeClass(errorClass).addClass(validClass);
                } else {
                    jQuery(element).closest('.control-group').removeClass('has-error has-feedback').addClass('has-success has-feedback');
                    jQuery(element).closest('.control-group').find('i.fa').remove();
                    jQuery(element).closest('.control-group').append('<i class="fa fa-check fa-lg control-feedback fa-2x" style="margin: 5px;"></i>');
                }
            }
        });

        jQuery('#regForm').validate({
            rules: {
                pseudo: { required: true, minlength: 4, maxlength: 20, },
                email: { required: true, email: true, }
            },
            messages: {
                pseudo: { required: "Ce champ est obligatoire.", minlength: "Minimum 4 caractères.", maxlength: "Maximum 20 caractères.", },
                email: { required: "Ce champ est obligatoire.", email: "Adresse mail invalide.", }
            },
        });

        jQuery('#regForm').submit(function(e) {

            e.preventDefault();

            if ( isSubmitted ) {
                return false;
            }
            isSubmitted = true;

            if ( jQuery('#regForm').valid() ) {

                jQuery("#regForm button[type='submit']").html('<i class="fa fa-spinner fa-pulse fa-fw"></i> Création du compte')
                                                        .attr('disabled', 'disabled');

                if ( isChrome ) { 
                    newWin = window.open(''); 
                }

                jQuery.ajax({
                    url: "<?php echo $config['directory']; ?>/ws.php",  
                    type: "post",  
                    data: jQuery('#regForm').serialize(),
                    dataType: 'json',
                    async: false,
                    success: function(obj) { 
                        if ( obj.status == 'ok' ) {

                            var url_cb = '<?php echo $config['directory']; ?>/bonus.php?formulaire=' + Base64.encode(obj.url_cb) + '&profile=' + redirectionThumb + '&pseudo=' + jQuery('#pseudo').val();

                            jQuery('#url').val(url_cb);
                            jQuery('#step_5').hide();
                            jQuery('#step_6').show('400');

                            if (navigator.vibrate) {
                                navigator.vibrate(1000);
                            }

                        } else {

                            jQuery("#regForm button[type='submit']").html('<span>J\'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i></span>')
                                                                    .removeAttr('disabled');

                            isSubmitted = false;
                            if ( isChrome ) {
                                newWin.close();
                            }

                            var errorsList = 'Nous ne pouvons pas vous ouvvrir un compte car :' + "\n";
                            for ( var i in obj.errors ) {
                                errorsList += "-" + obj.errors[i] + "\n";
                            }
                            alert(errorsList);

                        }
                    }
                });  

                if ( url ) {
                    if ( isChrome ) {
                        newWin.location = url;
                    } else {
                        newWin = window.open(url);
                    }
                } 

            }

        });

        jQuery('#regFormFinal').submit(function(e) {
            e.preventDefault();
            window.location = jQuery('#url').val();
        });

        jQuery('#email').change(function (e) {
            if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(jQuery('#email').val())) {  
                jQuery.ajax({
                    url: '<?php echo $config['directory']; ?>/ws.php?action=pseudo-suggest&email=' + encodeURIComponent(jQuery('#email').val()),
                    success: function(data) {               
                        jQuery('#pseudo').val(data);
                        jQuery('#pseudo').focus();
                    },
                });
            }
        });

    <?php elseif ( $promoMode == 'messenger' ) : ?>

        jQuery('.thankYou').click(function (e) {
            e.preventDefault();
            jQuery('#step_5').hide();
            jQuery('#step_6').show('400');

            jQuery('<iframe>', {
                src: '<?php echo $downloadUrl; ?>',
                id:  'myFrame',
                frameborder: 0,
                scrolling: 'no',
                width: '1px',
                height: '1px',
                }).appendTo('body');

        });

    <?php else : ?>

    	jQuery('#regFormFinal').submit(function(e) {
            e.preventDefault();
            window.location = jQuery('#url').val();
        });

    <?php endif; ?>

});

function loadChecks() {

    setTimeout(function(){ jQuery('#step_4 ul li:first-child .fa').removeClass('fa-square-o').addClass('fa-check-square-o'); }, 500);
    setTimeout(function(){ jQuery('#step_4 ul li:nth-child(2) .fa').removeClass('fa-square-o').addClass('fa-check-square-o'); }, 1500);
    setTimeout(function(){ jQuery('#step_4 ul li:nth-child(3) .fa').removeClass('fa-square-o').addClass('fa-check-square-o'); }, 2000);
    setTimeout(function(){ jQuery('#step_4 ul li:nth-child(4) .fa').removeClass('fa-square-o').addClass('fa-check-square-o'); }, 3000);

    setTimeout(function() {
        jQuery('.nbPlaces').text(Math.floor(Math.random()*8)+2);
        jQuery('#step_4').hide();
        jQuery('#step_5').show('400');
    }, 3500);

}

var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9+/=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/rn/g,"n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
</script>

</body>
</html>